package common.item.tool;

import common.entity.projectile.EntityArrow;
import common.item.Item;
import common.item.ItemStack;
import common.tileentity.TileEntity;
import common.util.BlockPos;
import common.util.Facing;
import common.util.Vec3;
import common.world.World;

public class ItemArrow extends Item {
	public ItemStack dispenseStack(World world, TileEntity source, Vec3 position, BlockPos blockpos, Facing facing, ItemStack stack) {
		EntityArrow arrow = new EntityArrow(world, position.xCoord, position.yCoord, position.zCoord);
		arrow.canBePickedUp = 1;
		return this.dispenseProjectile(world, facing, stack, arrow);
	}

	public int getDispenseSoundId() {
		return 1002;
	}
}
